<?

/* ------------ */
/* ------------ */
/* ------------ */
function AddFaction($new_name, $new_pass) {

	$fg = fopen("wizard_locked/faction_log.dat", "r");
	if (!fg)
		return -1;
	$contents = fread($fg, filesize("wizard_locked/faction_log.dat"));
	fclose($fg);

	$new_name = strtolower($new_name);
	$new_name = str_replace("_", " ", $new_name);
	$new_name = str_replace(":", " ", $new_name);
	$new_name = str_replace("'", "", $new_name);
	$new_name = str_replace("", "", $new_name);
	$new_name = str_replace("`", "", $new_name);
	$new_name = str_replace("\"", "", $new_name);
	
	$lines = explode("\n", $contents);
	//sort($lines);
	for($count=0;$count<count($lines);$count++) {
		list ($user,$pass) = explode(":",$lines[$count]);
		if ($user == $new_name) {
			echo "<p>Faction $new_name is already in the database.<p>";
			fclose($fg);
			return -1;
		}
	}
	
	$fg = fopen("wizard_locked/faction_log.dat", "a");
	fwrite($fg, $new_name.":".md5($new_pass)."\n");
	fclose($fg);

	$new_name = ucwords($new_name);
	$ad_name = ucwords($ad_name);
	$fc = fopen("wizard_locked/actionlog.log", "a");
	fwrite($fc, date("F d, Y T - H:i:s").": Faction '$new_name' added - $ad_name\n");
	fclose($fc);
	return 1;
}

/* ------------ */
/* ------------ */
/* ------------ */
function FactionChangePass($username, $password) {

	$fp = fopen("wizard_locked/faction_log.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/faction_log.dat"));
	fclose($fp);
	if ($contents) {
	
		$lines = explode("\n", $contents);
		//sort($lines);
		$write_me = "";
				
		for($count=0;$count<count($lines);$count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);

			if ($user == $username) {
				$write_me .= $user.":".md5($password)."\n";
			}
			else if (($user) && ($pass) && ($level)) {
				$write_me .= $user.":".$pass."\n";
			}
		}
		$fp = fopen("wizard_locked/faction_log.dat", "w");
		fwrite($fp, $write_me);
		fclose($fp);
	}
	$username = ucwords($username);
	$fc = fopen("wizard_locked/actionlog.log", "a");
	fwrite($fc, date("F d, Y T - H:i:s").": Faction '$username' changed password.\n");
	fclose($fc);
	return 1;
}

/* ------------ */
/* ------------ */
/* ------------ */
function DeleteFaction($ad_name, $ad_pass, $username) {

	include("levels.php3");
	if (VerifyLogin($ad_name, $ad_pass) >= $l_admin) {
		
		$fp = fopen("wizard_locked/faction_log.dat", "r");
		$contents = fread($fp, filesize("wizard_locked/faction_log.dat"));
		fclose($fp);
		if ($contents) {
		
			$lines = explode("\n", $contents);	
			//sort($lines);
	
			$write_me = "";
			
			for($count=0;$count<count($lines);$count++) {
				list ($user,$pass) = explode(":",$lines[$count]);

				if ($user == $username)
						echo "<br>Faction $user was deleted.<br>";
				else {
					if ($user) {
						$write_me .= $user.":".$pass."\n";
					}
				}
			}
			$fp = fopen("wizard_locked/faction_log.dat", "w");
			fwrite($fp, $write_me);
			fclose($fp);
			$username = ucwords($username);
			$ad_name = ucwords($ad_name);
			$fc = fopen("wizard_locked/actionlog.log", "a");
			fwrite($fc, date("F d, Y T - H:i:s").": Faction '$username' deleted - $ad_name\n");
			fclose($fc);
			return 1;
		}
	}
	return -1;
}

/* ------------ */
/* ------------ */
/* ------------ */
function FactionResetPass($username, $ad_name) {

	include("levels.php3");
	$fp = fopen("wizard_locked/faction_log.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/faction_log.dat"));
	fclose($fp);
	if ($contents) {
		
		$lines = explode("\n", $contents);
		//sort($lines);
		$write_me = "";
			
		for($count=0;$count<count($lines);$count++) {
			list ($user,$pass) = explode(":",$lines[$count]);

			if ($user == $username) {
				$write_me .= $user.":".md5("defpass")."\n";
				echo "<br>Password for the faction $user was reset to 'defpass'.<br>";
			}
			else if (($user) && ($pass) && ($level)) {
				$write_me .= $user.":".$pass."\n";
			}
		}
		$fp = fopen("wizard_locked/faction_log.dat", "w");
		fwrite($fp, $write_me);
		fclose($fp);
		$username = ucwords($username);
		$ad_name = ucwords($ad_name);
		$fc = fopen("wizard_locked/actionlog.log", "a");
		fwrite($fc, date("F d, Y T - H:i:s").": Reset password for the faction '$username' - $ad_name\n");
		fclose($fc);
		return 1;
	}
	return -1;
}

/* ------------ */
/* ------------ */
/* ------------ */
function RenameFaction($username, $ad_name, $new_name) {

	include("levels.php3");
	$fp = fopen("wizard_locked/faction_log.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/faction_log.dat"));
	fclose($fp);
	if ($contents) {
		
		$lines = explode("\n", $contents);	
		//sort($lines);
		$write_me = "";
		
		for($count=0;$count<count($lines);$count++) {
			list ($user,$pass) = explode(":",$lines[$count]);

				$new_name = strtolower($new_name);
				$new_name = ltrim(rtrim($new_name));
				$new_name = str_replace("_", " ", $new_name);
				$new_name = str_replace(":", " ", $new_name);
				$new_name = str_replace("'", "", $new_name);
				$new_name = str_replace("", "", $new_name);
				$new_name = str_replace("`", "", $new_name);
				$new_name = str_replace("\"", "", $new_name);
				if (strstr($contents, "\n".$new_name.":")) {
					echo "Faction '$new_name' is already in the database.";
					return 1;
				}

			if ($user == $username) {
				$write_me .= $new_name.":".$pass."\n";
				echo "<br>The faction '$user' was renamed to '$new_name'.<br>";
			}
			else if (($user) && ($pass)) {
				$write_me .= $user.":".$pass."\n";
			}
		}
		$fp = fopen("wizard_locked/faction_log.dat", "w");
		fwrite($fp, $write_me);
		fclose($fp);
		$username = ucwords($username);
		$ad_name = ucwords($ad_name);
		$fc = fopen("wizard_locked/actionlog.log", "a");
		fwrite($fc, date("F d, Y T - H:i:s").": 'The faction $username' was renamed to '$new_name' - $ad_name\n");
		fclose($fc);
		return 1;
	}
	return -1;
}

/* ------------ */
/* ------------ */
/* ------------ */
function ListFactions() {

	include("levels.php3");
	$fp = fopen("wizard_locked/faction_log.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/faction_log.dat"));
	fclose($fp);
	
	if ($contents) {
		$lines = explode("\n", $contents);
		sort($lines);
		
		echo "<table BORDER=0 CELLSPACING=2 CELLPADDING=2><tr><td><u>Username</u></td><td><u>Level</u></td><td><u>Faction</u></td></tr>";

		for($count=0; $count < count($lines); $count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);
			
			if ($user != "") {
				$user = ucwords($user);
				echo "<tr><td>$user</td><td>";
				if ($level >= $l_admin)
					echo "Administrator";
				else if ($level >= $l_moderator)
					echo "Moderator";
				else if ($level >= $l_member)
					echo "Member";
				else if ($level >= $l_ooc)
					echo "OOC Member";
				else
					echo "Guest";
				$faction = ucwords($faction);
				echo "<td>$faction</td></tr>";
			}
		}
		
		echo "</table>";
		return 1;
	}
	return -1;
}

/* ------------ */
/* ------------ */
/* ------------ */
function ListFactionsModify($userlevel) {

	$fp = fopen("wizard_locked/faction_log.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/faction_log.dat"));
	fclose($fp);
	
	if ($contents) {
		$lines = explode("\n", $contents);
		
		sort($lines);
		
		echo "<table BORDER=0 CELLSPACING=2 CELLPADDING=2><tr align=center valign=center><td align=center valign=center>Action:
		<br><SELECT NAME='modaction'>
		<OPTION value='resetpass' SELECTED>Reset Password
		<OPTION value='rename'>Rename
		<OPTION value='delete'>Delete
		</SELECT></td><td align=center valign=center>User:
		<br><SELECT NAME='selecteduser'>";

		for($count=0; $count < count($lines); $count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);
			if ($user != "")
				echo "<OPTION value='$user'>$user\n";
		}
		
		echo "</SELECT></td><td>New Name:<br><input name='newname' value='' size=30></td></tr></table>";
		return 1;
	}
	return -1;
}

/* ------------ */
/* ------------ */
/* ------------ */
function FactionDropdown() {

	$fp = fopen("wizard_locked/faction_log.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/faction_log.dat"));
	fclose($fp);
	
	if ($contents) {
		$lines = explode("\n", $contents);
		sort($lines);

		echo "<form ACTION='viewer.php3' METHOD='GET' target='view'><SELECT NAME='selecteduser'>";

		for($count=0; $count < count($lines); $count++) {
			list ($user,$pass) = explode(":",$lines[$count]);
			$pro_file = "faction/prof_";
			$pro_file .= strtolower($user);
			$pro_file = str_replace(" ", "_", $pro_file);

			$user = ucwords($user);

			if ((file_exists($pro_file)) && ($level >= 2))
				echo "<OPTION value='$user'>$user\n";
		}
		
		echo "</SELECT><input type=hidden name=frames value=view><INPUT TYPE='SUBMIT' Value='View profile'></form>";
		return 1;
	}
	return -1;
}

/* ------------ */
/* ------------ */
/* ------------ */
function FactionProfile($selecteduser) {	
	$pro_file = "faction/prof_";
	$pro_file .= strtolower($selecteduser);
	$pro_file = str_replace(" ", "_", $pro_file);

	if (file_exists($pro_file))
		readfile($pro_file);
	else
		echo "The faction $selecteduser doesn't have an infosheet.";
}
?>