<?

function PackNewLog() {
	$infile = "complete.log";

	if (filesize($infile) >= 1048576) {
		include("settings.php3");
		$fn = "../logs/".str_replace("http://chat.projectjj.dk/","",$cpath).".".time().".gz";

		$zp = gzopen($fn, "w9");
		gzwrite($zp, fread(fopen($infile, "r"), filesize($infile)));
		gzclose($zp);
		@chmod($fn, 0666);
		@unlink($infile);
		return 1;
	}
	return 0;
}

function ListLogs() {
	include("../settings.php3");
	$fn = str_replace("http://chat.projectjj.dk/","",$cpath).".";

	$handle=opendir('../../logs');
	while ($file = readdir($handle)) {
		if (stristr($file, $fn)) {
			$midir[count($midir)] = $file;
		}
	}
	closedir($handle);

	sort($midir);
	echo "<blockquote><table cellspacing=0 cellpadding=2 border=0>\n";
	echo "<tr><td align=left>Date</td><td align=right>Packed size (KB)</td></tr>\n";
	for ($cc=0;$cc<count($midir);$cc++) {
		$sname = str_replace(".gz","", str_replace($fn, "", $midir[$cc]));
		$dname = date("H:i:s - F d, Y T", $sname+0);
		$fs = ceil(filesize("../../logs/".$midir[$cc])/1024);
		echo "<tr><td align=left><a href=\"biglog.php3?time=$sname&action=view\">$dname</a></td><td align=right>$fs</td></tr>\n";
	}
	echo "<tr><td align=left><a href=\"biglog.php3?time=current&action=view\">Current log</a></td><td align=right>".ceil(filesize("../complete.log")/1024)."<br>(not packed)</td></tr>\n";
	echo "</table><br>\n";
	echo "Expect a 8:1 ratio on sizes, so a file of 128 KB in size is really 1 MB when you open it.\n</blockquote>\n";
}

function DisplayLog($time) {
	include("../settings.php3");
	$fn = "../../logs/".str_replace("http://chat.projectjj.dk/","",$cpath).".".$time.".gz";

	if ($time == "current") {
		readfile("../complete.log");
		return 1;
	} else if (file_exists($fn)) {
		readgzfile($fn);
		return 1;
	}
	else
		echo "The log $fn was not found.";

	return 0;
}

?>