<?

function VerifyLogin($USERNAME, $PASSWORD) {

	$fd = fopen("wizard_locked/sealed_chest.dat", "r");
	$contents = fread($fd, filesize("wizard_locked/sealed_chest.dat"));
	fclose($fd);
	if (!$contents) return -2;


	$lines = explode("\n", $contents);

	$USERNAME = strtolower($USERNAME);
	$USERNAME = str_replace("_", " ", $USERNAME);
	$USERNAME = str_replace(":", " ", $USERNAME);
	$USERNAME = str_replace("'", " ", $USERNAME);
	$USERNAME = str_replace("\"", " ", $USERNAME);
	for($count=0;$count<count($lines);$count++) {
		list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);
			$user = strtolower($user);
			$user = str_replace("_", " ", $user);
			if ($user == $USERNAME) {
				break;
		}
	}

	if (!$user) return -3;

	if ($pass == md5($PASSWORD)) {
		return $level;
	} else {
		return -1;
	}
}

function RandomPass($length = 8) {

	$all = explode(" ", 
		"a b c d e f g h i j k l m n o p q r s t u v w x y z "
		."A B C D E F G H I J K L M N O P Q R S T U V W X Y Z "
		."0 1 2 3 4 5 6 7 8 9");

	for($i=0;$i<$length;$i++) {
		srand((double)microtime()*1000000);
		$randy = rand(0, 61);
		$pass .= $all[$randy];
	}	

	return $pass;
}

function AddUser($ad_name, $ad_pass, $new_name, $new_pass, $new_level, $new_faction) {

	$fg = fopen("wizard_locked/sealed_chest.dat", "r+");
	if (!fg)
		return -1;
	$contents = fread($fg, filesize("wizard_locked/sealed_chest.dat"));
	fclose($fg);

	$new_name = strtolower($new_name);
	$new_name = str_replace("_", " ", $new_name);
	$new_name = str_replace(":", " ", $new_name);
	$new_name = str_replace("'", "", $new_name);
	$new_name = str_replace("", "", $new_name);
	$new_name = str_replace("`", "", $new_name);
	$new_name = str_replace("\"", "", $new_name);
	
	$lines = explode("\n", $contents);
	for($count=0;$count<count($lines);$count++) {
		list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);
		if ($user == $new_name) {
			echo "<p>User $new_name is already in the database.<p>";
			return -1;
		}
	}
	
	$fg = fopen("wizard_locked/sealed_chest.dat", "a");
	fwrite($fg, stripslashes($new_name.":".md5($new_pass).":".$new_level.":".$new_faction."\n"));
	fclose($fg);
	@chmod("wizard_locked/sealed_chest.dat", 0666);

	$new_name = ucwords($new_name);
	$ad_name = ucwords($ad_name);
	$fc = fopen("wizard_locked/actionlog.log", "a");
	fwrite($fc, stripslashes(date("F d, Y T - H:i:s").": User '$new_name' added as level '$new_level' - $ad_name\n"));
	fclose($fc);
	return 1;
}

function ChangePass($username, $password) {

	$fp = fopen("wizard_locked/sealed_chest.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/sealed_chest.dat"));
	fclose($fp);
	if ($contents) {
	
		$lines = explode("\n", $contents);
		$write_me = "";
				
		for($count=0;$count<count($lines);$count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);

			if ($user == $username) {
				$write_me .= $user.":".md5($password).":".$level.":".$faction."\n";
			}
			else if (($user) && ($pass) && ($level)) {
				$write_me .= $user.":".$pass.":".$level.":".$faction."\n";
			}
		}
		$fp = fopen("wizard_locked/sealed_chest.dat", "w");
		fwrite($fp, stripslashes($write_me));
		fclose($fp);
		@chmod("wizard_locked/sealed_chest.dat", 0666);
	}
	$username = ucwords($username);
	$fc = fopen("wizard_locked/actionlog.log", "a");
	fwrite($fc, stripslashes(date("F d, Y T - H:i:s").": User '$username' changed password.\n"));
	fclose($fc);
	return 1;
}

function DeleteUser($ad_name, $ad_pass, $username) {

	include("levels.php3");
	if (VerifyLogin($ad_name, $ad_pass) >= $l_admin) {
		
		$fp = fopen("wizard_locked/sealed_chest.dat", "r");
		$contents = fread($fp, filesize("wizard_locked/sealed_chest.dat"));
		fclose($fp);
		if ($contents) {
		
			$lines = explode("\n", $contents);	
	
			$write_me = "";
			
			for($count=0;$count<count($lines);$count++) {
				list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);

				if ($user == $username)
					if ($level >= $l_master)
						echo "<br>This user is protected.<br>";
					else
						echo "<br>User $user was deleted.<br>";
				else {
					if ($user) {
						$write_me .= $user.":".$pass.":".$level.":".$faction."\n";
					}
				}
			}
			$fp = fopen("wizard_locked/sealed_chest.dat", "w");
			fwrite($fp, stripslashes($write_me));
			fclose($fp);
			$username = ucwords($username);
			$ad_name = ucwords($ad_name);
			$fc = fopen("wizard_locked/actionlog.log", "a");
			fwrite($fc, stripslashes(date("F d, Y T - H:i:s").": User '$username' deleted - $ad_name\n"));
			fclose($fc);
			return 1;
		}
	}
	return -1;
}

function ChangeUser($ad_name, $ad_pass, $username, $userlevel) {

	include("levels.php3");
	if (VerifyLogin($ad_name, $ad_pass) >= $l_admin) {
		
		$fp = fopen("wizard_locked/sealed_chest.dat", "r");
		$contents = fread($fp, filesize("wizard_locked/sealed_chest.dat"));
		fclose($fp);
		if ($contents) {
		
			$lines = explode("\n", $contents);	
			$write_me = "";

			for($count=0;$count<count($lines);$count++) {
				list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);

				if ($user == $username) {
					if ($level >= $l_master)
						echo "<br>This user is protected.<br>";
					else {
						$write_me .= $user.":".$pass.":".$userlevel.":".$faction."\n";
						echo "<br>User $user was made level $userlevel.<br>";
					}
				}
				else if (($user) && ($pass) && ($level)) {
					$write_me .= $user.":".$pass.":".$level.":".$faction."\n";
				}
			}
			$fp = fopen("wizard_locked/sealed_chest.dat", "w");
			fwrite($fp, stripslashes($write_me));
			fclose($fp);
			$username = ucwords($username);
			$ad_name = ucwords($ad_name);
			$fc = fopen("wizard_locked/actionlog.log", "a");
			fwrite($fc, stripslashes(date("F d, Y T - H:i:s").": User '$username' made level '$userlevel' - $ad_name\n"));
			fclose($fc);
			return 1;
		}
	}
	return -1;
}

function ResetPass($username, $ad_name) {

	include("levels.php3");
	$fp = fopen("wizard_locked/sealed_chest.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/sealed_chest.dat"));
	fclose($fp);
	if ($contents) {
		
		$lines = explode("\n", $contents);
		$write_me = "";
			
		for($count=0;$count<count($lines);$count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);

			if ($user == $username) {
				if ($level >= $l_master)
					echo "<br>This user is protected.<br>";
				else {
					$write_me .= $user.":".md5("defpass").":".$level.":".$faction."\n";
					echo "<br>Password for $user was reset to 'defpass'.<br>";
				}
			}
			else if (($user) && ($pass) && ($level)) {
				$write_me .= $user.":".$pass.":".$level.":".$faction."\n";
			}
		}
		$fp = fopen("wizard_locked/sealed_chest.dat", "w");
		fwrite($fp, stripslashes($write_me));
		fclose($fp);
		$username = ucwords($username);
		$ad_name = ucwords($ad_name);
		$fc = fopen("wizard_locked/actionlog.log", "a");
		fwrite($fc, stripslashes(date("F d, Y T - H:i:s").": Reset password for user '$username' - $ad_name\n"));
		fclose($fc);
		return 1;
	}
	return -1;
}

function RenameUser($username, $ad_name, $new_name) {

	include("levels.php3");
	$fp = fopen("wizard_locked/sealed_chest.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/sealed_chest.dat"));
	fclose($fp);
	if ($contents) {
		
		$lines = explode("\n", $contents);	
		$write_me = "";
		
		for($count=0;$count<count($lines);$count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);

				$new_name = strtolower($new_name);
				$new_name = ltrim(rtrim($new_name));
				$new_name = str_replace("_", " ", $new_name);
				$new_name = str_replace(":", " ", $new_name);
				$new_name = str_replace("'", "", $new_name);
				$new_name = str_replace("", "", $new_name);
				$new_name = str_replace("`", "", $new_name);
				$new_name = str_replace("\"", "", $new_name);
				if (strstr($contents, "\n".$new_name.":")) {
					echo "Name '$new_name' is already in the database.";
					return 1;
				}

			if ($user == $username) {
				if ($level >= $l_master) {
					echo "<br>This user is protected.<br>";
					$write_me .= $user.":".$pass.":".$level.":".$faction."\n";
				} else {
					$write_me .= $new_name.":".$pass.":".$level.":".$faction."\n";
					echo "<br>'$user' renamed to '$new_name'.<br>";
				}
			}
			else if (($user) && ($pass) && ($level)) {
				$write_me .= $user.":".$pass.":".$level.":".$faction."\n";
			}
		}
		$fp = fopen("wizard_locked/sealed_chest.dat", "w");
		fwrite($fp, stripslashes($write_me));
		fclose($fp);
		$username = ucwords($username);
		$ad_name = ucwords($ad_name);
		$fc = fopen("wizard_locked/actionlog.log", "a");
		fwrite($fc, stripslashes(date("F d, Y T - H:i:s").": '$username' renamed to '$new_name' - $ad_name\n"));
		fclose($fc);
		return 1;
	}
	return -1;
}

function ChangeFaction($username, $ad_name, $new_name) {

	include("levels.php3");
	$fp = fopen("wizard_locked/sealed_chest.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/sealed_chest.dat"));
	fclose($fp);
	if ($contents) {
		
		$lines = explode("\n", $contents);	
		$write_me = "";
		
		for($count=0;$count<count($lines);$count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);

				$new_name = strtolower($new_name);
				$new_name = ltrim(rtrim($new_name));
				$new_name = str_replace("_", " ", $new_name);
				$new_name = str_replace(":", " ", $new_name);
				$new_name = str_replace("'", "", $new_name);
				$new_name = str_replace("", "", $new_name);
				$new_name = str_replace("`", "", $new_name);
				$new_name = str_replace("\"", "", $new_name);

			if ($user == $username) {
				if ($level >= $l_master) {
					echo "<br>This user is protected.<br>";
					$write_me .= $user.":".$pass.":".$level.":".$faction."\n";
				} else {
					$write_me .= $user.":".$pass.":".$level.":".$new_name."\n";
					echo "<br>'$user' is now member of '$new_name'.<br>";
				}
			}
			else if (($user) && ($pass) && ($level)) {
				$write_me .= $user.":".$pass.":".$level.":".$faction."\n";
			}
		}
		$fp = fopen("wizard_locked/sealed_chest.dat", "w");
		fwrite($fp, stripslashes($write_me));
		fclose($fp);
		return 1;
	}
	return -1;
}

function ListUsers($sfact="") {

	include("levels.php3");
	include("../settings.php3");
	include("../../common/stats.php");
	$fp = fopen("wizard_locked/sealed_chest.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/sealed_chest.dat"));
	fclose($fp);
	
	if ($contents) {
		$lines = explode("\n", $contents);
		sort($lines);
		
		echo "<table BORDER=0 CELLSPACING=2 CELLPADDING=2><tr><td><u>Username</u></td><td><u>Level</u></td><td><u>Faction</u></td><td align=right><u>Last Seen</u></td></tr>";

		for($count=0; $count < count($lines); $count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);
			
			if ($user != "") {
				if (($sfact == "") || (($sfact != "") && (!strcasecmp($faction, $sfact)))) {
					$user = ucwords($user);
					echo "<tr><td>$user</td><td>";
					if ($level >= $l_master)
						echo "Project JJ";
					else if ($level >= $l_admin)
						echo "Administrator";
					else if ($level >= $l_moderator)
						echo "Moderator";
					else if ($level >= $l_faction)
						echo "Faction Leader";
					else if ($level >= $l_member)
						echo "Member";
					else if ($level >= $l_ooc)
						echo "OOC Member";
					else
						echo "Guest";
					$faction = ucwords($faction);
					echo "<td><a href=biglist.php3?faction=".urlencode($faction).">$faction</a></td>";

					$whois = @GetStats("chat".str_replace("http://chat.projectjj.dk/", "", $cpath), $user);

					if ($whois[2] == "")
						echo "<td align=right>Unknown</td>";
					else
						echo "<td align=right>".date($dtcalc, $whois[0])."</td>";
					echo "</tr>";
				}
			}
		}
		
		echo "</table>";
		return 1;
	}
	return -1;
}

function ListUsersModify($userlevel) {

	$fp = fopen("wizard_locked/sealed_chest.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/sealed_chest.dat"));
	fclose($fp);
	
	if ($contents) {
		$lines = explode("\n", $contents);
		
		sort($lines);
		
		echo "<table BORDER=0 CELLSPACING=2 CELLPADDING=2><tr align=center valign=center><td align=center valign=center>Action:
		<br><SELECT NAME='modaction'>
		<OPTION value='mkadmin'>Make Administrator
		<OPTION value='mkmod'>Make Moderator
		<OPTION value='mkfact'>Make Faction Leader
		<OPTION value='mkmem'>Make Member
		<OPTION value='mkooc'>Make OOC Member
		<OPTION value='resetpass' SELECTED>Reset Password
		<OPTION value='rename'>Rename
		<OPTION value='faction'>Change Faction
		<OPTION value='delete'>Delete
		</SELECT></td><td align=center valign=center>User:
		<br><SELECT NAME='selecteduser'>";

		for($count=0; $count < count($lines); $count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);
			if ($user != "")
				echo "<OPTION value='$user'>$user - $level - $faction\n";
		}
		
		echo "</SELECT></td><td>New Name/Faction:<br><input name='newname' value='' size=30></td></tr></table>";
		return 1;
	}
	return -1;
}

function ListIconsModify() {

	$fp = fopen("wizard_locked/sealed_chest.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/sealed_chest.dat"));
	fclose($fp);
	
	if ($contents) {
		$lines = explode("\n", $contents);
		
		sort($lines);
		
		echo "User:
		<br><SELECT NAME='selecteduser'>";

		for($count=0; $count < count($lines); $count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);
			if ($user != "")
				echo "<OPTION value='$user'>$user\n";
		}
		
		echo "</SELECT>";
		return 1;
	}
	return -1;
}

function EnumerateIcons($user) {

	$pro_file = "picon/icon_";
	$pro_file .= strtolower($user);
	$pro_file = str_replace(" ", "_", $pro_file);
	
	echo "<table border=0>";
	echo "<tr><td><center><u>Name</u></center></td><td><center><u>Url</u></center></td></tr>\n";

	if (file_exists($pro_file)) {
		$fp = fopen($pro_file, "r");
		$contents = fread($fp, filesize($pro_file));
		fclose($fp);
		
		$lines = explode("\n", $contents);
		sort($lines);
		for($count=0; $count < count($lines); $count++) {
			list ($name,$file) = explode("",$lines[$count]);
			echo "<tr><td>$count <input type=text name='name$count' value='$name'></td><td><input type=text name='file$count' value='$file'></td></tr>\n";
		}
	}
	else {
		echo "<tr><td>0 <input type=text name='name0' value=''></td><td><input type=text name='file0' value=''></td></tr>\n";
		echo "<tr><td>1 <input type=text name='name1' value=''></td><td><input type=text name='file1' value=''></td></tr>\n";
		echo "<tr><td>2 <input type=text name='name2' value=''></td><td><input type=text name='file2' value=''></td></tr>\n";
		echo "<tr><td>3 <input type=text name='name3' value=''></td><td><input type=text name='file3' value=''></td></tr>\n";
		echo "<tr><td>4 <input type=text name='name4' value=''></td><td><input type=text name='file4' value=''></td></tr>\n";
		echo "<tr><td>5 <input type=text name='name5' value=''></td><td><input type=text name='file5' value=''></td></tr>\n";
		echo "<tr><td>6 <input type=text name='name6' value=''></td><td><input type=text name='file6' value=''></td></tr>\n";
		echo "<tr><td>7 <input type=text name='name7' value=''></td><td><input type=text name='file7' value=''></td></tr>\n";
		echo "<tr><td>8 <input type=text name='name8' value=''></td><td><input type=text name='file8' value=''></td></tr>\n";
		echo "<tr><td>9 <input type=text name='name9' value=''></td><td><input type=text name='file9' value=''></td></tr>\n";
	}
	
	echo "</table><input type=hidden name=iconedit value=1>";
}

function ShowDropdown() {

	include("levels.php3");
	$fp = fopen("wizard_locked/sealed_chest.dat", "r");
	$contents = fread($fp, filesize("wizard_locked/sealed_chest.dat"));
	fclose($fp);
	
	if ($contents) {
		$lines = explode("\n", $contents);
		sort($lines);

		echo "<form ACTION='viewer.php3' METHOD='GET' target='view'><SELECT NAME='selecteduser'>";
		echo "<OPTION value=' '>-- Characters --\n";

		for($count=0; $count < count($lines); $count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);
			if (($level >= $l_member) && ($level < $l_moderator)) {
				$pro_file = "members/prof_";
				$pro_file .= strtolower($user);
				$pro_file = str_replace(" ", "_", $pro_file);

				$user = ucwords($user);

				if (file_exists($pro_file))
					echo "<OPTION value='$user'>$user\n";
			}
		}

		echo "<OPTION value=' '>-- OOC --\n";

		for($count=0; $count < count($lines); $count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);
			if (($level == $l_master) || (($level < $l_member) && ($level >= $l_ooc))) {
				$pro_file = "members/prof_";
				$pro_file .= strtolower($user);
				$pro_file = str_replace(" ", "_", $pro_file);

				$user = ucwords($user);

				if (file_exists($pro_file))
					echo "<OPTION value='$user'>$user\n";
			}
		}
		
		echo "<OPTION value=' '>-- Administration --\n";

		for($count=0; $count < count($lines); $count++) {
			list ($user,$pass,$level,$faction) = explode(":",$lines[$count]);
			if (($level >= $l_moderator) && ($level < $l_master)) {
				$pro_file = "members/prof_";
				$pro_file .= strtolower($user);
				$pro_file = str_replace(" ", "_", $pro_file);

				$user = ucwords($user);

				if (file_exists($pro_file))
					echo "<OPTION value='$user'>$user\n";
			}
		}
		
		echo "</SELECT><input type=hidden name=frames value=view><INPUT TYPE='SUBMIT' Value='View profile'></form>";
		return 1;
	}
	return -1;
}

function ShowProfile($selecteduser) {	
	$pro_file = "members/prof_";
	$pro_file .= strtolower($selecteduser);
	$pro_file = str_replace(" ", "_", $pro_file);

	if (file_exists($pro_file))
		readfile($pro_file);
	else
		echo "User $selecteduser doesn't have a profile.";
}
?>