<?
	include("settings.php3");

	echo "<html>\n<head>\n<title>Color Charts</title>\n</head>\n$bodytag<p>\n<p>\n<center>\n<table border=0 cellspacing=1 cellpadding=1 width=1 style='font-family: courier; font: courier;'>\n<tr><td>";
	if ($numcols) {

		if ($numcols > 16)
			$numcols=16;
		else if ($numcols < 1)
			$numcols=1;

		$file = "chart-".$numcols.".col";

		if (file_exists($file)) {
			readfile($file);
		} else {
			$fc = fopen($file, "w");
			$factor = floor(255/$numcols);
			for ($r=1;$r<=$numcols;$r++) {
				for ($g=1;$g<=$numcols;$g++) {
					for ($b=1;$b<=$numcols;$b++) {
						$ur = dechex($r*$factor);
						$ug = dechex($g*$factor);
						$ub = dechex($b*$factor);

						if (strlen($ur) < 2)
							$ur = "0".$ur;
						if (strlen($ug) < 2)
							$ug = "0".$ug;
						if (strlen($ub) < 2)
							$ub = "0".$ub;

						$col = $ur.$ug.$ub;
						fwrite($fc, "<font color=#$col>$col</font>\n");
					}
					fwrite($fc, "</td><td>\n");
				}
				fwrite($fc, "</td></tr><tr><td>\n");
			}
			fclose($fc);
			readfile($file);
		}
	}
	echo "</td></tr></table></center>";

	echo "<blockquote>Number of colors to display:<br>\n";
	echo "<a href='color.php3?numcols=5'>125</a> (tiny)<br>\n";
	echo "<a href='color.php3?numcols=6'>216</a><br>\n";
	echo "<a href='color.php3?numcols=7'>343</a><br>\n";
	echo "<a href='color.php3?numcols=8'>512</a><br>\n";
	echo "<a href='color.php3?numcols=9'>729</a><br>\n";
	echo "<a href='color.php3?numcols=10'>1000</a> (recommended)<br>\n";
	echo "<a href='color.php3?numcols=11'>1331</a><br>\n";
	echo "<a href='color.php3?numcols=12'>1728</a><br>\n";
	echo "<a href='color.php3?numcols=13'>2197</a><br>\n";
	echo "<a href='color.php3?numcols=14'>2744</a><br>\n";
	echo "<a href='color.php3?numcols=15'>3375</a><br>\n";
	echo "<a href='color.php3?numcols=16'>4096</a> (150k)<br>\n</blockquote>\n";
	echo "</body></html>";
?>